Name: libcdaudio
Version: 0.99.4
Release: alt2

Summary: A library of functions for controlling audio CD-ROM players
License: GPL
Group: System/Libraries
Url: http://cdcd.undergrid.net/libcdaudio/

Source: http://www.linuxberg.ps.pl/files/console/dev/%name-%version.tar.gz

BuildPreReq: kernel-headers-std

# Automatically added by buildreq on   09 2003
BuildRequires: glibc-devel-static

%description
libcdaudio is a library designed to provide functions to control
operation of a CD-ROM when playing audio CDs. It also contains
functions for CDDB and CD Index lookup.

%package devel
Summary: Header files and libraries for libcdaudio development
Group: Development/C
Requires: %name = %version-%release

%description devel
The libcdaudio-devel package provides the header files and libraries
needed for libcdaudio development.

%package devel-static
Summary: libcdaudio static library
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
The libcdaudio-static package provides static library needed for
libcdaudio development.

%prep
%setup -q

%build
%add_optflags %optflags_notraceback

%__autoconf
%configure
%make_build

%install
%make_install DESTDIR=%buildroot install

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*

%files devel
%_bindir/*
%_includedir/*
%_libdir/*.so
%_datadir/aclocal/*

%files devel-static
%_libdir/*.a

%changelog
* Fri Nov 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.99.4-alt2
- do not package .la files.

* Wed Apr 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.99.4-alt1
- Adopted for Sisyphus PLD package. Thanks PLD Team.

